% preg2, lab10, 521230 S2-2011

[t,y] = ode45('func1_lab10',[0 1],1);
% graficar aproximacion y solucion exacta
plot(t,y,'o','LineWidth',2);
hold on
plot(t,exp(-t),'k','LineWidth',2);
legend('aprox. ode45','sol. exacta');

% otra forma de llamar a ode45, notese cambio en forma en que se da la
% funcion f
sol = ode45(@func1_lab10,[0 1],1);
% usar sol para evaluar aproximacion a solucion en 100 puntos igualmente
% espaciados de [0,1]
tint = linspace(0,1);
stint = deval(sol,tint);
% graficar solucion y aproximacion
figure(2)
plot(tint,stint,'LineWidth',2);
hold on
plot(tint,exp(-tint),'k','LineWidth',2);
legend('aprox. ode45','sol. exacta');
